## hsetroot 1.0.5

=== Makefile ===
CC?=gcc
PKG_CONFIG?=pkg-config

CFLAGS?=-g -O2 -Wall
LDFLAGS?=

PREFIX?=/usr/local

# arch hardening
#CPPFLAGS+=-D_FORTIFY_SOURCE=2
#CFLAGS+=-march=x86-64 -mtune=generic -O2 -pipe -fno-plt
#LDFLAGS+=-Wl,-O1,--sort-common,--as-needed,-z,relro,-z,now

# arch & debian hardening workaround
LDFLAGS+=-Wl,--no-as-needed

CFLAGS+=$(shell $(PKG_CONFIG) x11 --cflags)
LDFLAGS+=$(shell $(PKG_CONFIG) x11 --libs)

CFLAGS+=$(shell $(PKG_CONFIG) imlib2 --cflags)
LDFLAGS+=$(shell $(PKG_CONFIG) imlib2 --libs)

CFLAGS+=$(shell $(PKG_CONFIG) xinerama --cflags)
LDFLAGS+=$(shell $(PKG_CONFIG) xinerama --libs)

all: hsetroot hsr-outputs

hsetroot: hsetroot.o

hsr-outputs: hsr-outputs.o

install: hsetroot hsr-outputs
	install -st $(PREFIX)/bin/ hsetroot
	install -st $(PREFIX)/bin/ hsr-outputs

clean:
	rm -f *.o hsetroot hsr-outputs

## hsetroot 1.0.2

=== debian/changelog ===
hsetroot (1.0.2-5) unstable; urgency=low

  * Fix lintian vcs-field-not-canonical
  * Bump Standards-Version to 3.9.5 (no changes needed)
  * Add 04_link-to-X11.patch to fix FTBFS (Closes: #735758)
  * Use dh-autoreconf instead of autotools-dev
  * Explicitly Build-Depends on pkg-config

 -- Alessandro Ghedini <ghedo@debian.org>  Fri, 17 Jan 2014 19:56:04 +0100

hsetroot (1.0.2-4) unstable; urgency=low

  * Add 03_cover-mode.patch which implements the -cover option.
    Thanks to Michal Suchanek (Closes: #718829)
  * Explicitly Build-Depends on libx11-dev

 -- Alessandro Ghedini <ghedo@debian.org>  Fri, 20 Sep 2013 10:47:29 +0200

hsetroot (1.0.2-3) unstable; urgency=low

  * Add 01_fix-no-display-crash.patch
  * Add 02_extend-mode.patch and update manpage (Closes: #507554)
  * Bump Standards-Version to 3.9.4 (no changes needed)

 -- Alessandro Ghedini <ghedo@debian.org>  Sun, 28 Apr 2013 22:06:27 +0200

hsetroot (1.0.2-2) unstable; urgency=low

  * New maintainer (Closes: #615549)
  * Switch to short-form dh rules
  * Bump debhelper compat level to 9
  * Use proper Homepage control field (Closes: #615316)
  * Remove versioned build depend on libimlib2-dev (already in oldstable)
  * Remove useless d/dirs file
  * Re-write manpage (Closes: #404781)
  * Switch to 3.0 (quilt) source format
  * Add Vcs-* fields
  * Add ${misc:Depends} variable to Depends
  * Do not install the README (not much useful)
  * Add watch file
  * Bump Standards-Version to 3.9.3
  * Update copyright to Copyright-Format 1.0
  * Fix short description

 -- Alessandro Ghedini <ghedo@debian.org>  Sun, 29 Jul 2012 18:06:39 +0200

hsetroot (1.0.2-1) unstable; urgency=low

  * Initial Release Closes: #309473
  * Added manpage

 -- Francesco Pedrini <francesco.pedrini@gmail.com>  Sun, 10 Apr 2005 02:49:32 +0200

=== debian/control ===
Source: hsetroot
Section: x11
Priority: optional
Maintainer: Alessandro Ghedini <ghedo@debian.org>
Build-Depends: debhelper (>= 9),
 dh-autoreconf,
 libimlib2-dev,
 libx11-dev,
 pkg-config
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/hsetroot.git
Vcs-Git: git://anonscm.debian.org/collab-maint/hsetroot.git
Homepage: http://thegraveyard.org/hsetroot.html

Package: hsetroot
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: tool for composing root-pixmaps for X11
 hsetroot is a tool which allows you to compose wallpapers ("root pixmaps")
 for X. It has a lot of options like rendering gradients, solids, images but
 it also allows you to perform manipulations on those things, or chain them
 together.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with=autoreconf

=== debian/watch ===
version=3
http://thegraveyard.org/hsetroot.html \
	http://cdn.thegraveyard.org/releases/hsetroot/hsetroot-(.*).tar.gz

## hsetroot 1.0.5

=== debian/changelog ===
hsetroot (1.0.5-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:57:30 +1100

hsetroot (1.0.5-1build1) noble; urgency=high

  * No change rebuild against libimlib2t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:25:49 +0100

hsetroot (1.0.5-1) unstable; urgency=medium

  * New upstream release (Closes: #982936)
  * d/control: fix homepage and update debian/watch
  * d/gbp: introduce a debian/gbp.conf file to match repository layout
  * d/patches: remove all patches, applied upstream
  * d/control: put myself as a maintainer (Closes: #907830)
  * d/control: build-depends on libxinerama-dev
  * d/hsetroot.1: document new options
  * d/patches: fix atom name used when clearing previous wallpaper
  * d/rules: don't try to auto install

 -- Vincent Bernat <bernat@debian.org>  Sun, 29 Aug 2021 18:10:15 +0200

hsetroot (1.0.2-9) unstable; urgency=medium

  * QA upload.
  * debian/control:
      - Updated VCS fields to use Salsa.
  * debian/salsa-ci.yml:
      - Added to provide CI tests for Salsa.

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Wed, 03 Jun 2020 21:39:50 +0000

hsetroot (1.0.2-8) unstable; urgency=medium

  * QA upload.
  * debian/control:
      - Removed the no longer needed build dependency dh-autoreconf.
      - Added libtool from Build-Depends field because the upstream use
        ancient-libtool (version 1.4.3) in config/ltmain.sh.

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Sat, 16 May 2020 21:22:26 +0000

hsetroot (1.0.2-7) unstable; urgency=medium

  * QA upload.
  * debian/tests/control: created to perform a trivial CI test.

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Wed, 13 May 2020 03:55:58 +0000

hsetroot (1.0.2-6) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. (see #907830)
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 13.
  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Bumped Standards Version to 4.5.0.
  * debian/copyright:
      - Added my name and email address.
      - Update links to use HTTPS protocol.
  * debian/rules:
      - Added DEB_BUILD_MAINT_OPTIONS variable to improve GCC hardening.
      - Removed '--with autoreconf' because it is default since DH 10.

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Sat, 09 May 2020 18:35:10 +0000

=== debian/control ===
Source: hsetroot
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Vincent Bernat <bernat@debian.org>
Build-Depends: debhelper-compat (= 13),
               libimlib2-dev,
               libxinerama-dev,
               libtool,
               libx11-dev,
               pkg-config
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/himdel/hsetroot
Vcs-Browser: https://salsa.debian.org/debian/hsetroot
Vcs-Git: https://salsa.debian.org/debian/hsetroot.git

Package: hsetroot
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: tool for composing root-pixmaps for X11
 hsetroot is a tool which allows you to compose wallpapers ("root pixmaps")
 for X. It has a lot of options like rendering gradients, solids, images but
 it also allows you to perform manipulations on those things, or chain them
 together.

=== debian/tests/control ===
Test-Command: xvfb-run -a hsetroot -write image.png
Depends: @, xauth, xvfb

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/himdel/hsetroot/tags \
  (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
